RPMUNCOMPRESS(1)

NAMN
rpmuncompress — RPM-verktyg för komprimerade filer och arkiv

SYNOPSIS
rpmuncompress [flaggor] FIL

rpmuncompress [flaggor] [extraheringsflaggor] {-x|--extract} ARKIV

BESKRIVNING
rpmuncompress är ett verktyg för att transparent mata ut komprimerade och okomprimerade filer, och att extrahera arkiv.

Det anropas normalt internt av rpmbuild(1) för att hantera uppgifter relaterade till %setup och %patch i spec-filer, men kan också vara användbart att anropa manuellt. rpmuncompress installationskatalog kan fås fram med rpm -E "%{_rpmconfigdir}".

ARGUMENT
FIL
    En vanlig fil, eventuellt komprimerad.

ARKIV
    Ett arkiv i formatet tar(1), zip(1) eller Ruby GEM. tar-arkiv får vara komprimerade.

ÅTGÄRDER
Som standard skriver rpmuncompress FIL till standard ut på liknande sätt som cat(1), men den dekomprimerar transparent många populära komprimeringsformat, liknande zcat(1).

-x, --extract
    Extrahera det ARKIV som skickas som argument i den aktuella katalogen och dekomprimera vid behov transparent tar(1)-arkiv.

FLAGGOR
-n, --dry-run
    Skriv ut skalkommandona som skulle köras utan denna flagga.

EXTRAHERINGSFLAGGOR
-C SÖKVÄG, --path=SÖKVÄG
    Extrahera in i SÖKVÄG oavsett arkivets interna layout.

-v, --verbose
    Ge utförlig extraheringsutdata.

SLUTSTATUS
Om det gick bra returneras 0, annars en nollskild felkod.

EXEMPEL
rpmuncompress /tmp/3911.patch.gz | patch -p1
    Dekomprimera och skriv ut /tmp/3911.patch.gz, liknande zcat(1), och skicka i ett rör till patch(1).

rpmuncompress -x mittprojekt.zip
    Extrahera arkivet mittprojekt.zip i den aktuella katalogen.

rpmuncompress -x -C mittprojekt mittprojekt-1.0.7rc1.tar.gz
    Dekomprimera och extrahera arkivet mittprojekt-1.0.7rc1.tar.gz in i katalogen mittprojekt, oavsett dess interna struktur.

SE ÄVEN
rpmbuild(1), popt(3)

http://www.rpm.org/

ÖVERSÄTTNING
Den svenska översättningen av denna manualsida skapades av Göran Uddeborg <goeran@uddeborg.se>

Denna översättning är fri dokumentation; läs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senare för upphovsrättsvillkor. Vi tar INGET ANSVAR.

Om du hittar fel i översättningen av denna manualsida, skicka ett mail till Tp-sv@listor.tp-sv.se.